> For the complete documentation index, see [llms.txt](https://docs.ergonode.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ergonode.com/ergonode-transfer/overview/files-format.md).

# Files format

The entire format is represented as an `.zip` archive containing the following `.csv` files.

{% hint style="warning" %}
Only zip-archived files are processed properly in case of an import - a simple `.csv` file upload won't work.

Files within the archive must be named accordingly as in the documentation below.
{% endhint %}

{% hint style="info" %}
The maximum archive size is 250 MB.

The maximum single file size within the archive is 1000 MB.
{% endhint %}

{% hint style="info" %}
Columns are separated using ","(comma) or ";"(semicolon) separator depending on the configuration.
{% endhint %}

{% hint style="info" %}
Files have to be UTF-8 formatted.
{% endhint %}

{% hint style="info" %}
Cell value needs to be escaped with the " sign if it contains a column separator.\
`"sku1,sku2" - for`comma separator

`"the ; sign is called semicolon"` - for the semicolon
{% endhint %}

{% hint style="info" %}
The files are placed in the zip archive as top-level entities.\
Those should not be placed in a subdirectory within the archive - an often-made mistake for MacOS users - when using the right-click menu on a directory containing files and using the option `Compress "directory"` which does just that.
{% endhint %}

Below you can find an example of import data.&#x20;

{% file src="/files/CdVgzYPoDvIRvxfQEM55" %}

**Please refer to a specific file description for more details.**

* [products.csv](/ergonode-transfer/overview/files-format/products.csv.md) - the product data
* [multimedia.csv](/ergonode-transfer/overview/files-format/multimedia.csv.md) - the multimedia resources
* [multimedia\_attributes.csv](/ergonode-transfer/overview/files-format/multimedia_attributes.csv.md) - the multimedia allowed attributes configuration
* [categories.csv](/ergonode-transfer/overview/files-format/categories.csv.md) - the categories
* [category\_attributes.csv](/ergonode-transfer/overview/files-format/category_attributes.csv.md) - the category allowed attributes configuration
* [category\_trees.csv](/ergonode-transfer/overview/files-format/category_trees.csv.md) - the category trees
* [category\_trees\_elements.csv](/ergonode-transfer/overview/files-format/category_trees_elements.csv.md) - the category trees configuration
* [completeness\_sets.csv](/ergonode-transfer/overview/files-format/completeness_sets.csv.md) - the completeness sets
* [multimedia\_folders.csv](/ergonode-transfer/overview/files-format/multimedia_folder.csv.md) - the multimedia folders
* [attributes.csv](/ergonode-transfer/overview/files-format/attributes.csv.md) - the attributes
* [attribute\_groups.csv](/ergonode-transfer/overview/files-format/attribute_groups.csv.md) - the attribute groups
* [custom\_fields.csv](/ergonode-transfer/overview/files-format/custom_fields.csv.md) - the custom fields
* [options.csv](/ergonode-transfer/overview/files-format/options.csv.md) - the collection attributes options
* [units.csv](/ergonode-transfer/overview/files-format/units.csv.md) - the units
* [templates.csv](/ergonode-transfer/overview/files-format/templates.csv.md) - the templates
* [templates\_elements.csv](/ergonode-transfer/overview/files-format/templates_elements.csv.md) - the templates configuration
* [section\_templates.csv](/ergonode-transfer/overview/files-format/section_templates.csv.md) - the section templates
* [section\_templates\_elements.csv](/ergonode-transfer/overview/files-format/section_templates_elements.csv.md) - the section templates configuration
* [roles.csv](/ergonode-transfer/overview/files-format/roles.csv.md) - the roles
* [roles\_feature\_privileges.csv](/ergonode-transfer/overview/files-format/roles_feature_privileges.csv.md) - the role privileges
* [automations.csv](/ergonode-transfer/overview/files-format/automations.csv.md) - the automations
* [automations\_actions.csv](/ergonode-transfer/overview/files-format/automation_actions.csv.md) - the automation actions
* [workflows\_statuses.csv](/ergonode-transfer/overview/files-format/workflows_statuses.csv.md) - the workflow statuses
* [workflows.csv](/ergonode-transfer/overview/files-format/workflows.csv.md) - the workflows
* [workflows\_transitions.csv](/ergonode-transfer/overview/files-format/workflows_transitions.csv.md) - the workflow transitions


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ergonode.com/ergonode-transfer/overview/files-format.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
